#include <iostream>


using namespace std;

int main()
{
    int N,A,ostatak;
    int brojpavle1=0;
    int brojpavle2=0;
    int brojpavle3=0;
    int brojzivko1=0;
    int brojzivko2=0;
    int brojzivko3=0;

    cin>>N;
    cin>>A;

    ostatak=N-2*A;

    brojpavle1=A;
    brojzivko1=0;
    brojpavle2=A;
    brojzivko2=0;
    brojpavle3=ostatak/2;
    brojzivko3=ostatak/2;

    if(N<A*3)
    {
        cout<<"-1";
        return 0;
    }



    if(ostatak<(2*A-2))
    {
        brojpavle3=A;
        brojzivko3=ostatak-A;
        cout<<brojpavle1<<" "<<brojzivko1<<endl;
        cout<<brojpavle2<<" "<<brojzivko2<<endl;
        cout<<brojpavle3<<" "<<brojzivko3<<endl;
        return 0;
    }
    if(ostatak%2==0)
    {
        brojpavle3++;
        brojzivko3--;
        cout<<brojpavle1<<" "<<brojzivko1<<endl;
        cout<<brojpavle2<<" "<<brojzivko2<<endl;
        cout<<brojpavle3<<" "<<brojzivko3<<endl;
        return 0;
    }
    if(ostatak%2==1)
    {
        brojpavle3++;
        brojzivko3--;
        brojzivko1++;
        cout<<brojpavle1<<" "<<brojzivko1<<endl;
        cout<<brojpavle2<<" "<<brojzivko2<<endl;
        cout<<brojpavle3<<" "<<brojzivko3<<endl;
        return 0;
    }


}